github.com
Retrieve system's Network Interfaces on Linux, FreeBSD, macOS and Windows on a standarized manner
Crate
v2.0.5
2026-01-03
github.com
A future that must be manually completed, similar to Java's CompletableFuture
Crate
v0.1.4
2026-01-02
github.com
Core types and traits for axum
Crate
v0.5.6
2025-12-27
github.com
Type id and Any for non static types
Crate
v0.2.1
2025-12-12
github.com
High level server designed to be used with axum framework.
Crate
v0.8.0
2025-12-06
github.com
Internal runtime support for the `wit-bindgen` crate.
Crate
v0.44.0
2025-12-05
github.com
## Summary [summary]: #summary FFI-compatible and calling-convention-compatible complex types are to be introduced into `core` to ensure synchronity with C primitives. ## Motivation [motivation]: #motivation The C standard defines the _memo...
RFC 3892
RFC
2025-12-02
~7 min read
github.com
A cat(1) clone with wings.
Crate
v0.26.1
2025-12-02
github.com
kvdb implementation backed by RocksDB
Crate
v0.21.0
2025-12-01
github.com
A count min sketch implementation in Rust
Crate
v0.2.4
2025-11-11
github.com
PEM Encoding (RFC 7468) for PKIX, PKCS, and CMS Structures, implementing a
strict subset of the original Privacy-Enhanced Mail encoding intended
specifically for use with cryptographic keys, certificates, and other messages.
Provides a no_std-friendly, constant-time implementation suitable for use with
cryptographic private keys.
Crate
v1.0.0
2025-11-08
github.com
Custom derive support for the abscissa application microframework
Crate
v0.9.0
2025-11-06
github.com
Application microframework with support for command-line option parsing,
configuration, error handling, logging, and terminal interactions.
This crate contains the framework's core functionality.
Crate
v0.9.0
2025-11-06
github.com
Implementation of EIP-7702 type definitions
Crate
v0.6.3
2025-11-04
github.com
Bindings to IOKit for macOS
Crate
v0.5.0
2025-10-31
github.com
Protobuf wire format bindings for the Tokio console.
Crate
v0.9.0
2025-10-30
github.com
A `tracing-subscriber::Layer` for collecting Tokio console telemetry.
Crate
v0.5.0
2025-10-30
github.com
## Summary [summary]: #summary This RFC proposes that crates.io should provide insight into vulnerabilities and unsound API surface based on the RustSec advisory database. ## Motivation [motivation]: #motivation One of the roles that crates...
RFC 3872
RFC
2025-10-27
~5 min read
github.com
Colorize paths using the LS_COLORS environment variable
Crate
v0.21.0
2025-10-19
github.com
Project Symphonia utilities for Xiph codecs and formats.
Crate
v0.5.5
2025-10-11